Bug Hunting Session
Bug 78370 - FILEOPEN: RTF - Pages being merged / overlapping
Summary: FILEOPEN: RTF - Pages being merged / overlapping
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.7.2 release
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:rtf
Depends on:
Blocks: RTF
  Show dependency treegraph
 
Reported: 2014-05-07 06:08 UTC by sc.chi
Modified: 2019-05-15 15:52 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
The Problem RTF document (244.76 KB, application/rtf)
2014-05-07 06:08 UTC, sc.chi
Details
PDF export from Word 2010 (59.73 KB, application/pdf)
2014-05-28 11:35 UTC, Yousuf Philips (jay) (retired)
Details
Last 2 pages in LibO 4.1 (you can see that its page 9 on the left page 11 on the right) (273.73 KB, image/png)
2014-05-28 11:36 UTC, Yousuf Philips (jay) (retired)
Details
Last 2 pages in Word 2010 (164.78 KB, image/png)
2014-05-28 11:37 UTC, Yousuf Philips (jay) (retired)
Details
page 1 at first load (185.44 KB, image/jpeg)
2016-11-12 10:40 UTC, tommy27
Details
page 1 at first load (236.54 KB, image/jpeg)
2016-11-12 10:45 UTC, tommy27
Details
page 1 after scolling to bottom and back to top (255.29 KB, image/jpeg)
2016-11-12 10:46 UTC, tommy27
Details
LO export of the imported RTF (76.80 KB, application/pdf)
2018-09-20 18:45 UTC, mattia.b89
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sc.chi 2014-05-07 06:08:27 UTC
Created attachment 98599 [details]
The Problem RTF document

Hi,

I cannot view the last page in the LibreOffice ,but view properly in Microsoft Word 2003 . 

Seems the last page and the last second page are merged.

Please help with many thanks!!
Comment 1 Yousuf Philips (jay) (retired) 2014-05-28 11:33:07 UTC
Confirmed in Linux Mint in the latest releases from 3.6 to 4.1.

The major problem is that opening this file in 4.2.4 or 4.3 beta will have all of the 11 pages on a single page, which will rev up the CPU and pretty much stop LibO from working. This was tested in Linux Mint and Windows XP
Comment 2 Yousuf Philips (jay) (retired) 2014-05-28 11:35:49 UTC
Created attachment 100024 [details]
PDF export from Word 2010
Comment 3 Yousuf Philips (jay) (retired) 2014-05-28 11:36:46 UTC
Created attachment 100025 [details]
Last 2 pages in LibO 4.1 (you can see that its page 9 on the left page 11 on the right)
Comment 4 Yousuf Philips (jay) (retired) 2014-05-28 11:37:11 UTC
Created attachment 100026 [details]
Last 2 pages in Word 2010
Comment 5 Joel Madero 2014-05-29 03:06:17 UTC
I can't confirm that this is a regression - removing regression. I bibisected and actually the older versions are even worse (most show 2 pages only and are very cramped). 

Not a critical bug as it's a very unique test case (critical is for data loss/crashers that will affect a large number of users). 

Setting to:
Major - data loss
Highest - I'll leave at this (disagree a bit but that's okay :-D)

Moving to MAB 4.2 since it's been around a long time. MAB 4.3 is only for regressions new to 4.3
Comment 6 Alexandr 2014-08-08 14:04:34 UTC
I reproduce the problem as described in comment 1 with LibreOffice 4.2.5 on Debian x86_64. In LibreOffice 4.3.1.1 the situation is better: it does not freeze and the document has 12 pages (still not 11, but better than 1). Unfortunately, something is wrong, for example, the first 2 pages ("A" and "B") are merged.
Comment 7 Yousuf Philips (jay) (retired) 2014-08-11 00:42:14 UTC
This still effect 4.2.6, with not being able to open. If it opens in 4.1 and doesnt in 4.2, i assume that would be a regression. :)

With 4.3.2, text the red text '4110-0280-404.493   B' from page 2 has jumped and is overlapping the red text on page 1 and the '4110-0280-404.493   C' red text on page 3 has jumped to page 2.
Comment 8 tommy27 2014-12-07 21:09:39 UTC
same findings as Jay under Win8.1 x64 using LibO 4.3.4.1 regarding the jump and overlap of those red lines.

regarding the document page number, it is correct with 11 pages and I'm not seeing 12 pages as reported by Alexandr with LibO 4.3.1

moving this to mab4.3 list since 4.2.x is EOL
Comment 9 tommy27 2015-06-18 19:25:39 UTC
bug still present in LibO 4.4.3.2 and recent 5.1.0.0 alpha+
Comment 10 Robinson Tryon (qubit) 2015-12-10 01:08:22 UTC Comment hidden (obsolete)
Comment 11 Xisco Faulí 2016-09-14 15:48:59 UTC
[This is an automatic message]

Changing version to 3.5.7.2 in order to get rid of 'preBibisect' version as 3.5.7.2 looks to be the last version not covered by bibisect-43all.
Comment 12 tommy27 2016-11-12 10:39:34 UTC
retested under Win8.1 x64 using LibO 4.4.3, 5.2.3 and a recent 5.3.0 alpha build.

there's still a strange rendering of this .rtf file.

as soon as you load it the page count incorrectly say "1 of 5" and you see red lines overlap in page 1.

when you scroll it down, LibO shows transient freeze (that take longer in 5.2.x and 5.3.x rather than 4.4.3), overlap of soma pages and changing page count till you reach the end.

so in 4.4.3 i finally see "11 of 11" pages, while in 5.2.3 and 5.3.0 alpha I see "12 of 12" pages.

interestingly scrolling back to top is smoother and you don't see overlapping pages and going back to page 1 there are no more overlapping lines... I only see overlapping of letter "A" and "B" in the red text.
Comment 13 tommy27 2016-11-12 10:40:55 UTC
Created attachment 128686 [details]
page 1 at first load
Comment 14 tommy27 2016-11-12 10:45:02 UTC
Created attachment 128687 [details]
page 1 at first load

check position of red lines and page count at the bottom (1 of 3)
Comment 15 tommy27 2016-11-12 10:46:19 UTC
Created attachment 128688 [details]
page 1 after scolling to bottom and back to top

red lines changed position and page count shows 12 of 12.
red "A" and "B" letters still overlap.
Comment 16 tommy27 2017-07-23 08:00:20 UTC
still present in LibO 5.3.4.2 and recent 6.0.0.0 daily build.

the only difference is that now the final page count is 11 (it was 12 in 5.2.3 and 5.3.0 alpha).

al the other stuff (incorrect page count at first load, transient freeze when scrolling down and letter overlaps) is almost the same.
Comment 17 QA Administrators 2018-07-25 02:39:55 UTC Comment hidden (obsolete)
Comment 18 mattia.b89 2018-09-20 18:45:01 UTC
I confirm the issue: part of the content of all pages looks like 'mixed' together.

I exported as PDF the result, so you can easily diff them.

I'm on Arch Linux x86_64 with LO-6.1.1
Comment 19 mattia.b89 2018-09-20 18:45:44 UTC
Created attachment 145076 [details]
LO export of the imported RTF
Comment 20 Xisco Faulí 2019-05-15 15:52:48 UTC
Adjusting importance: Highest -> High